none
microsoft visual c++2015安装失败800770666 RRS feed

  • 问题

  • 如题,错误日志为

    [2948:2924][2019-06-27T15:51:48]i001: Burn v3.7.3813.0, Windows v10.0 (Build 17134: Service Pack 0), path: C:\Users\27299\AppData\Local\Temp\Rar$EXa12748.40959\Visual C++ 2015 64.exe, cmdline: ''
    [2948:2924][2019-06-27T15:51:48]i000: Setting string variable 'WixBundleLog' to value 'C:\Users\27299\AppData\Local\Temp\dd_vcredist_amd64_20190627155148.log'
    [2948:2924][2019-06-27T15:51:48]i000: Setting string variable 'WixBundleOriginalSource' to value 'C:\Users\27299\AppData\Local\Temp\Rar$EXa12748.40959\Visual C++ 2015 64.exe'
    [2948:2924][2019-06-27T15:51:48]i000: Setting string variable 'WixBundleOriginalSourceFolder' to value 'C:\Users\27299\AppData\Local\Temp\Rar$EXa12748.40959\'
    [2948:2924][2019-06-27T15:51:48]i000: Setting string variable 'WixBundleName' to value 'Microsoft Visual C++ 2015 Redistributable (x64) - 14.0.23026'
    [2948:2924][2019-06-27T15:51:49]i100: Detect begin, 10 packages
    [2948:2924][2019-06-27T15:51:49]i000: Setting version variable 'windows_uCRT_DetectKey' to value '10.0.10137.0'
    [2948:2924][2019-06-27T15:51:49]i000: Setting numeric variable 'windows_uCRT_DetectKeyExists' to value 1
    [2948:2924][2019-06-27T15:51:49]i102: Detected related bundle: {95ac1cfa-f4fb-4d1b-8912-7f9d5fbb140d}, type: Upgrade, scope: PerMachine, version: 14.15.26706.0, operation: Downgrade
    [2948:2924][2019-06-27T15:51:49]i108: Detected compatible package: vcRuntimeMinimum_x64, provider: Microsoft.VS.VC_RuntimeMinimumVSU_amd64,v14, installed: {C77195A4-CEB8-38EE-BDD6-C46CB459EF6E}, version: 14.15.26706, chained: {0D3E9E15-DE7A-300B-96F1-B4AF12B96488}
    [2948:2924][2019-06-27T15:51:49]i103: Detected related package: {C77195A4-CEB8-38EE-BDD6-C46CB459EF6E}, scope: PerMachine, version: 14.15.26706.0, language: 0 operation: Downgrade
    [2948:2924][2019-06-27T15:51:49]i108: Detected compatible package: vcRuntimeAdditional_x64, provider: Microsoft.VS.VC_RuntimeAdditionalVSU_amd64,v14, installed: {F106B700-BFF8-3065-B305-14D36AD40539}, version: 14.15.26706, chained: {BC958BD2-5DAC-3862-BB1A-C1BE0790438D}
    [2948:2924][2019-06-27T15:51:49]i103: Detected related package: {F106B700-BFF8-3065-B305-14D36AD40539}, scope: PerMachine, version: 14.15.26706.0, language: 0 operation: Downgrade
    [2948:2924][2019-06-27T15:51:49]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i052: Condition '(windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10137.0)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: vcRuntimeMinimum_x64, state: Obsolete, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: vcRuntimeAdditional_x64, state: Obsolete, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: Windows81_x86, state: Present, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: Windows81_x64, state: Present, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: Windows8_x86, state: Present, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: Windows8_x64, state: Present, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: Windows7_MSU_x86, state: Present, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: Windows7_MSU_x64, state: Present, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: WindowsVista_MSU_x86, state: Present, cached: None
    [2948:2924][2019-06-27T15:51:49]i101: Detected package: WindowsVista_MSU_x64, state: Present, cached: None
    [2948:2924][2019-06-27T15:51:49]i052: Condition 'VersionNT64 >= v6.0 OR (VersionNT64 = v5.2 AND ServicePackLevel >= 1)' evaluates to true.
    [2948:2924][2019-06-27T15:51:49]i199: Detect complete, result: 0x0
    [2948:293C][2019-06-27T15:51:51]e000: Error 0x80070666: Cannot install a product when a newer version is installed.

    求大佬帮帮忙

    2019年6月27日 8:10

全部回复

  • Hi friend,

    根据这个错误信息,不能安装Visual C++ 2015的原因是因为有个更高版本的Visual C++已经安装在你电脑上了。你可以到控制面板-程序里去看下是否有Visual c++ 2017,如果有的话,建议先卸载2017版本,安装2015版本,然后再重新安装2017版本。

    我们可以看看这个类似问题Visual C ++ 2017 RedistributableVisual C ++ 2015 Redistributablea binary-compatible in-place upgrade,并共享相同的注册表项,所以建议先安装2015,再安装2017版本,谢谢您的理解。

    Best regards,

    Sara


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    2019年6月28日 6:21
    版主